## org.hibernate.event.spi
Class RefreshEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.RefreshEvent

All Implemented Interfaces:
  Serializable

    public class RefreshEvent

extends AbstractEvent

Defines an event class for the refreshing of an object.

See Also:
  Serialized Form

Constructor Summary
`RefreshEvent(Object object, EventSource source)`
`RefreshEvent(Object object, LockMode lockMode, EventSource source)`
`RefreshEvent(Object object, LockOptions lockOptions, EventSource source)`
`RefreshEvent(String entityName, Object object, EventSource source)`
`RefreshEvent(String entityName, Object object, LockOptions lockOptions, EventSource source)`

Method Summary
`String` `getEntityName()`
`LockMode` `getLockMode()`
`LockOptions` `getLockOptions()`
`boolean` `getLockScope()`
`int` `getLockTimeout()`
`Object` `getObject()`
`void` `setEntityName(String entityName)`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefreshEvent

    public RefreshEvent(Object object,
                        EventSource source)

### RefreshEvent

    public RefreshEvent(String entityName,
                        Object object,
                        EventSource source)

### RefreshEvent

    public RefreshEvent(Object object,
                        LockMode lockMode,
                        EventSource source)

### RefreshEvent

    public RefreshEvent(Object object,
                        LockOptions lockOptions,
                        EventSource source)

### RefreshEvent

    public RefreshEvent(String entityName,
                        Object object,
                        LockOptions lockOptions,
                        EventSource source)

Method Detail

### getObject

    public Object getObject()

### getLockOptions

    public LockOptions getLockOptions()

### getLockMode

    public LockMode getLockMode()

### getEntityName

    public String getEntityName()

### setEntityName

    public void setEntityName(String entityName)

### getLockTimeout

    public int getLockTimeout()

### getLockScope

    public boolean getLockScope()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.